var tabla;

//funcion que se ejecuta al inicio
function init(){

   listar();
    //cargamos los items al select cliente
   $.post("controladores/ventanControlador.php?op=selectCliente", function(r){
   	$("#idcliente").html(r);
		$("#idcliente").val(0);
   	$('#idcliente').selectpicker('refresh');
   	
   });

   $.post("controladores/ventanControlador.php?op=selectVendedor", function(r){
    $("#idvendedor").html(r);
    $("#idvendedor").val(0);
    $('#idvendedor').selectpicker('refresh');
    
  });

	 

	$("#fecha_inicio").change(function(){
		listar();
	});

	$("#fecha_fin").change(function(){
		listar();
	});

	$("#idcliente").change(function(){
		listar();
	});

  
	$("#idvendedor").change(function(){
		listar();
	});

	  

	/* $('#tbllistado thead tr').clone(true).appendTo( '#tbllistado thead' );
 
	$('#tbllistado thead tr:eq(1) th').each( function (i) {
			var title = $(this).text(); //es el nombre de la columna
			$(this).html( '<input type="text" placeholder="Search...'+title+'" />' );
		} );  */ 
/* Ultimo ****
	 $('#tbllistado thead tr td').each( function () {
		var title = $(this).text();
		$(this).html( '<input type="text" style="width:100px" placeholder="Filtro.." />' );
	} ); */ 

	$('#tbllistado tfoot th').each( function () {
		var title = $(this).text();
		$(this).html( '<input type="text" style="width:100px" placeholder="Filtro.." />' );
	} );

}
//controladores/ventaControlador.php

//funcion listar
function listar(){
	var fecha_inicio  = $("#fecha_inicio").val();
 	var fecha_fin     = $("#fecha_fin").val();
 	var idcliente     = $("#idcliente").val();
  var idvendedor    = $("#idvendedor").val(); 
 
	var tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  {
										extend:    'pdfHtml5',
										/* text:      'Exportar a PDF',
										titleAttr: 'Exportar a PDF',
										className: 'btn btn-danger',
										title:     'Días Transcurridos', */
										orientation: 'landscape',
               			pageSize: 'LEGAL',
										/* exportOptions: {
												columns: [0,1,2,3,4,5,6,7,8,9]
										}  */                   
									}, 
									/* {
										"sExtends": "pdf",
										"sPdfOrientation": "landscape",
										"sPdfMessage": "Your custom message would go here."
									}, */
		],
		
		"ajax":
		{
			url:'controladores/consultasControlador.php?op=diasdevencimientosaldopagadas2',
			method: 'post',
			data: {
				fecha_inicio: 	fecha_inicio,
				fecha_fin	:	fecha_fin,
				idcliente	:	idcliente,
        idvendedor : idvendedor
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"columnDefs": [
			/* { "type": "numeric-comma", targets: 6 }, */
      /*{ "targets": [8], "visible": false, "searchable": false }
       { "type": "numeric-comma", targets: 13 },
      { "type": "numeric-comma", targets: 14 },
      { "type": "numeric-comma", targets: 15 },
      { "type": "numeric-comma", targets: 16 } */
		],
		/* "initComplete": function () {
			this.api().columns().every( function () {
					var that = this;

					$( 'input', this.header()).on( 'keyup change', function () {
							if ( that.search() !== this.value ) {
									that
											.search( this.value )
											.draw();
									}
					});
			})
		}, */	
		"initComplete": function () {
			this.api().columns().every( function () {
					var that = this;

					$( 'input', this.footer() ).on( 'keyup change', function () {
							if ( that.search() !== this.value ) {
									that
											.search( this.value )
											.draw();
									}
					});
			})
		},
		"drawCallback":function(){
			//alert("La tabla se está recargando"); 
			var api 		= this.api();
			var tactual	= api.column(2, {page:'current'}).data().sum();
      /* var tactual1	= api.column(8, {page:'current'}).data().sum();
      var tactual2	= api.column(9, {page:'current'}).data().sum();
      var tactual3	= api.column(10, {page:'current'}).data().sum();
      var tactual4	= api.column(11, {page:'current'}).data().sum();
      var tactual5	= api.column(12, {page:'current'}).data().sum(); */
      
			tactual			= number_format(tactual*1,2);
      /* tactual1			= number_format(tactual1*1,2);
      tactual2			= number_format(tactual2*1,2);
      tactual3			= number_format(tactual3*1,2);
      tactual4			= number_format(tactual4*1,2);
      tactual5			= number_format(tactual5*1,2); */
			//total				= number_format(total*1,2);
			//$(api.column(4).footer()).html('Total:');
			$(api.column(2).footer()).html(tactual);
      /* $(api.column(8).footer()).html(tactual1);
      $(api.column(9).footer()).html(tactual2);
      $(api.column(10).footer()).html(tactual3);
      $(api.column(11).footer()).html(tactual4);
      $(api.column(12).footer()).html(tactual5); */
			//$(api.column(6).footer()).html('Total:');
			//$(api.column(7).footer()).html(total);
	  }, 
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[7,"desc"]]//ordenar (columna, orden)
	}).DataTable();
	
	

}


init();  